<?php
require '../../desenvolvimento/app/bootstrap.php';
require '_funcoes.php';
$conectDB = connectDB();
$conectDB->exec("set names utf8mb4");

//echo $_SERVER['HTTP_HOST'];
$siteID = '';
if(isset($_GET['id'])){
	$siteID = (int)$_GET['id'];
}
else
{
	if(!isset($_SESSION['siteID'])){
		echo redireciona('404.php');exit;
	}
	else
	{
		$siteID = (int)$_SESSION['siteID'];
	}
}

if(empty($siteID)){
	echo redireciona('404.php');exit;
}

$sql = "
	select
		*,
		site.nome as siteNome,
		site.telefone as siteTelefone,
		site.celular as siteCelular,
		site.email as siteEmail,
		usuario.code as userCode,
		usuario.id AS userID,
		site.id as siteID
	from
		site,
		usuario
	WHERE
		site.id = $siteID and
		usuario.id = site.usuario_id
";
//echo $sql;
$detalhesUsuario  = query($conectDB, '', $sql);


$_SESSION['siteID'] =  $detalhesUsuario[0]->siteID;
 
$site['usuarioID'] 		= $detalhesUsuario[0]->userID;
$site['usuarioCode'] 	= $detalhesUsuario[0]->userCode;
$site['nome'] 		= $detalhesUsuario[0]->siteNome;
$site['logo'] 		= $detalhesUsuario[0]->logo;
$site['logoUrl'] 	= (empty($site['logo'])) ? ('../../desenvolvimento') : ('../../desenvolvimento/assets/storage/'.$detalhesUsuario[0]->userCode.'/'.$site['logo']);
$site['telefone'] 	= $detalhesUsuario[0]->siteTelefone;
$site['whatsapp'] 	= $detalhesUsuario[0]->siteCelular;
$site['email'] 		= $detalhesUsuario[0]->siteEmail;
$site['instagram'] 	= $detalhesUsuario[0]->instagram;
$site['facebook'] 	= $detalhesUsuario[0]->facebook;
$site['cor_base'] 	= $detalhesUsuario[0]->cor_base;

$site['homeTitulo'] 	= $detalhesUsuario[0]->home_header_titulo;
$site['homeDescricao'] 	= $detalhesUsuario[0]->home_header_descricao;
$site['homeImagem'] 	= (empty($detalhesUsuario[0]->home_header_imagem)) ? ('assets/images/banner-paralax.webp') : ('../../desenvolvimento/assets/storage/'.$detalhesUsuario[0]->userCode.'/'.$detalhesUsuario[0]->home_header_imagem);

$site['imoveisImagens'] = '../../desenvolvimento/assets/storage/'.$detalhesUsuario[0]->userCode.'/imoveis';
$site['imagens'] 		= '../../desenvolvimento/assets';
$arquivosVersao['css']  = '1.0.0.0';

$site['SistemaBaseHref'] = 'http://localhost/parceiros/ryan/painelSite/site/v1/';